Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2033882

Summary: [abrt] meld: text_received_cb(): sourceview.py:235:text_received_cb:AttributeError: 'NoneType' object has no attribute 'encode'
Product: [Fedora] Fedora Reporter: Mikhail <mikhail.v.gavrilov>
Component: meldAssignee: Dominic Hopf <dmaphy>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 36CC: bdpepple, christoph.wickert, dmaphy, lkundrak, oliver
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/a7f2d64b5cec0a66e1169114901d68a229c4be37
Whiteboard: abrt_hash:31fa2c275956d4e9b1128de83fee359b66e114d7;VARIANT_ID=workstation;
Fixed In Version: meld-3.22.0-1.fc37 meld-3.22.0-1.fc35 meld-3.22.0-1.fc36 meld-3.22.0-1.el9 Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-09-14 00:19:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
File: backtrace
none
File: cpuinfo
none
File: environ
none
File: mountinfo
none
File: namespaces
none
File: open_fds none

Description Mikhail 2021-12-18 12:47:58 UTC
Version-Release number of selected component:
meld-3.21.0-8.fc35

Additional info:
reporter:       libreport-2.15.2
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Meld-205035.scope
cmdline:        /usr/bin/python3 /usr/bin/meld
crash_function: text_received_cb
exception_type: AttributeError
executable:     /usr/bin/meld
interpreter:    python3-3.10.1-1.fc36.x86_64
kernel:         5.16.0-0.rc5.20211217git6441998e2e37.38.fc36.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
sourceview.py:235:text_received_cb:AttributeError: 'NoneType' object has no attribute 'encode'

Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/meld/sourceview.py", line 235, in text_received_cb
    utf8_text = text.encode('utf-8')
AttributeError: 'NoneType' object has no attribute 'encode'

Local variables in innermost frame:
clipboard: <Gtk.Clipboard object at 0x7f8224116ec0 (GtkClipboard at 0x55a576c492f0)>
text: None
user_data: ()
self: <sourceview.MeldSourceView object at 0x7f82241e1400 (MeldSourceView at 0x55a5753746c0)>

Comment 1 Mikhail 2021-12-18 12:48:01 UTC
Created attachment 1846850 [details]
File: backtrace

Comment 2 Mikhail 2021-12-18 12:48:02 UTC
Created attachment 1846851 [details]
File: cpuinfo

Comment 3 Mikhail 2021-12-18 12:48:03 UTC
Created attachment 1846852 [details]
File: environ

Comment 4 Mikhail 2021-12-18 12:48:04 UTC
Created attachment 1846853 [details]
File: mountinfo

Comment 5 Mikhail 2021-12-18 12:48:05 UTC
Created attachment 1846854 [details]
File: namespaces

Comment 6 Mikhail 2021-12-18 12:48:06 UTC
Created attachment 1846855 [details]
File: open_fds

Comment 7 Ben Cotton 2022-02-08 21:20:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 8 Fedora Update System 2022-09-06 10:10:11 UTC
FEDORA-2022-668c13f879 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-668c13f879

Comment 9 Fedora Update System 2022-09-06 10:10:21 UTC
FEDORA-EPEL-2022-5eac9c0230 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-5eac9c0230

Comment 10 Fedora Update System 2022-09-06 10:10:32 UTC
FEDORA-2022-33c8da6f15 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-33c8da6f15

Comment 11 Fedora Update System 2022-09-06 10:10:43 UTC
FEDORA-2022-63a2629ee0 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-63a2629ee0

Comment 12 Fedora Update System 2022-09-06 20:29:59 UTC
FEDORA-2022-33c8da6f15 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-33c8da6f15`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-33c8da6f15

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-09-07 10:05:06 UTC
FEDORA-2022-668c13f879 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-668c13f879`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-668c13f879

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-09-07 10:50:16 UTC
FEDORA-2022-63a2629ee0 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-63a2629ee0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-63a2629ee0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-09-07 11:11:41 UTC
FEDORA-EPEL-2022-5eac9c0230 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-5eac9c0230

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-09-14 00:19:29 UTC
FEDORA-2022-33c8da6f15 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-09-15 01:28:38 UTC
FEDORA-2022-668c13f879 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2022-09-15 01:53:33 UTC
FEDORA-2022-63a2629ee0 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2022-09-15 02:34:31 UTC
FEDORA-EPEL-2022-5eac9c0230 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.